{
  signal: [
    {name: 'CLK IN (400 MHz)',      wave: 'PPPPPPPPPPPPPPPPPPPPPPPPPPPPPP', node: '.ab', period: 1, phase: 0},
    {node: '.ef.g.h...i'},
    {name: 'CLK (200 MHz)',         wave: 'PPPPPPPPPPPPPPP', node: '..cd', period: 2, phase: 0},
    {name: 'TRIG IN',               wave: '0.......1...0..................', node: '...j....k', period: 1, phase: 1},
    {name: 'Memory counter',        wave: '333333333333333', node: '.l', period: 2, phase: 0, data: ['OVRFLW-1', 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]},
    {name: 'SET Memory',            wave: '222222242224222', node: '', period: 2, phase: 0, data: [0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0]},
    {name: 'RESET Memory',          wave: '222222242222422', node: '', period: 2, phase: 0, data: [0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0]},
    {name: 'SET pulse',             wave: '0......10..10..', node: '...........m', period: 2, phase: 0},
    {name: 'RESET pulse',           wave: '0......10...10.', node: '............q', period: 2, phase: 0},
    {name: 'SET pulse (delayed)',   wave: '0.......10..10..', node: '............n', period: 2, phase: 2-0.5},
    {name: 'RESET pulse (delayed)', wave: '0.......10...10.', node: '.............r', period: 2, phase: 2-1},
    {node: '.......................................s....opt.v.w....u', period: 0.5},
    {name: 'OUT (pulse)',           wave: '0............................10..............1....0.........', node: '....', period: 0.5, phase: 0},
    ],
    // free nodes: xyz
    edge: [
      'a-e', 'b-f', 'e<->f T',
      'g-c', 'h-d', 'g<->h', 'h-i T*(CLOCK_RATIO_M1+1)',
      'j-l', 'j<->k TRIGGER_LATENCY',
      'm-o', 'n-p', 's->o DELAY_SET', 'o-p', 't->p',
      'q-v', 'r-w', 'v<->w', 'u-w DELAY_RESET'
    ]
}